Subject: Re: bug#49373: 28.0.50; [PATCH] Use 'remember-buffer' in remember.el doc strings

From: Eli Zaretskii <[email-masked]>
Date: Sun, 04 Jul 2021 19:37:34 +0300

> From: Gabriel <[email-masked]>
> Date: Sun, 04 Jul 2021 12:21:42 -0300
> 
> > remember-buffer is an internal variable, so exposing it in the doc
> > strings of public functions, let alone commands, is not necessarily
> > TRT?
> 
> Hi Eli,
> 
> Good catch! I didn't notice that 'remember-buffer' is a defvar. Indeed
> it does not make sense to refer to an internal variable in the doc
> string of public functions.
> 
> Perhaps the 'remember-buffer' could be changed to a defcustom?

I won't object, if that would help in some use cases.

Lars, WDYT?

> By the way, the 'remember-initial-contents' seems to be another
> candidate for a defcustom, but I am not sure if I really understood its
> use case. It's an internal variable, with a default value of nil, that
> is not set anywhere and reset to nil on every call of 'remember'. If we
> set a value and remove the reset inside 'remember', it works as
> described by the name and by the doc string: "Initial contents to place
> into *Remember* buffer.".

Same response here: would that be useful enough?